Page MenuHomePhabricator

Add svs.gsfc.nasa.gov to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

Requesting https://svs.gsfc.nasa.gov be added to the whitelist for direct transfers. I see that *.nasa.gov is already on the list, but the uploader still will not accept uploads from some of the NASA subdomains: the url I'm specifically requesting is not the only one affected. It would be appreciated if this problem could be investigated as well. Thank you for your time.

Event Timeline

Huntster created this task.Jun 15 2019, 1:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2019, 1:52 AM
Reedy added a subscriber: Reedy.EditedJun 15 2019, 11:06 AM

It would be appreciated if this problem could be investigated as well.

I'm guessing the wildcard doesn't work for double subdomains, which is expected; for example we already have a JPL one too

		'*.nasa.gov',					   // NASA
		'*.jpl.nasa.gov',				   // NASA - T196727

I think this is working as expected, and I'm not sure there's necessarily anything to fix...

It might be possible to do *.*.nasa.gov if wanted, or else make *.domain.tld` match *.*.domain.tld... Depends if there's a real use case for it

Change 517170 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Add *.*.nasa.gov to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/517170

Change 517170 merged by jenkins-bot:
[operations/mediawiki-config@master] Add *.*.nasa.gov to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/517170

Mentioned in SAL (#wikimedia-operations) [2019-06-17T18:18:39Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Extend wgCopyUploadsDomains T213901 T224875 T225852 (duration: 00m 47s)

Framawiki closed this task as Resolved.Jun 17 2019, 6:31 PM

Change is live. Please ping if it's not working as needed.